#
# spec file for package python-GooCalendar
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
# Copyright (c) 2016 Dr. Axel Braun
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}

%define         skip_python3 1
Name:           python2-GooCalendar
Version:        0.4
Release:        lp151.1.1
Summary:        A calendar widget for GTK using PyGoocanvas
License:        GPL-2.0-only
Group:          Development/Languages/Python
URL:            https://goocalendar.tryton.org/
Source:         https://files.pythonhosted.org/packages/source/G/GooCalendar/GooCalendar-%{version}.tar.gz
BuildRequires:  %{python_module Genshi}
BuildRequires:  %{python_module lxml}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildArch:      noarch
Requires:       goocanvas >= 2.0
Requires:       python-goocanvas
%python_subpackages

%description
A calendar widget for GTK using PyGoocanvas (Gnome widget linrary). 

%prep
%setup -q -n GooCalendar-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%files %{python_files}
%license LICENSE
%doc README COPYRIGHT
%{python_sitelib}/*

%changelog
* Tue Apr  2 2019 Axel Braun <axel.braun@gmx.de>
- create package python2-GooCanvas (see boo #1131096)
* Wed Jan 23 2019 Todd R <toddrme2178@gmail.com>
- Disable for python3.  This doesn't work without python-goocanvas,
  which doesn't support python3.
* Wed Jun 27 2018 mcepl@suse.com
- Upgrade to 0.4, where the change is that it supports python3 now.
* Mon Jun 25 2018 mcepl@suse.com
- Clean SPEC file
* Thu Aug 24 2017 jmatejek@suse.com
- singlespec auto-conversion
* Tue Nov 29 2016 axel.braun@gmx.de
- Version 0.3
  * Add support for goocanvas >= 2.0
  * Add colors and font-desc properties to Calendar
* Fri Jul  1 2016 axel.braun@gmx.de
- version 0.2
  changed download link to pypi.io
  correct license string
  added License and copyright info to package
* Mon Jul 13 2015 toddrme2178@gmail.com
- Fix building on SLES 11
* Sat Jan 11 2014 axel.braun@gmx.de
- Initial Build on OBS
